Bug 79822 - Acroread's "userFrontEndProgram" flag doesn't work
Acroread's "userFrontEndProgram" flag doesn't work
Product: Red Hat Linux
Classification: Retired
Component: plugger (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2002-12-16 22:49 EST by Dmitry Bolkhovityanov
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-17 10:32:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dmitry Bolkhovityanov 2002-12-16 22:49:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021203

Description of problem:
The /etc/pluggerrc contains 

-xrm '*userFrontEndProgram: FALSE' 

in the acroread command line.  However, with at least acroread-4.05 this flag
doesn't work.

Changing this to "+useFrontEndProgram" (see "acroread -helpall") does the job.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Give two users (let them be "bill" and "bob") access to the display.
2. Open acroread under first user ("bill").
3. Start Mozilla under another user ("bob") and point it to some PDF file on the

Actual Results:  Acroread says that it can't open the file -- "Permission denied"

Expected Results:  The file should open without any problems.

Additional info:

The problem is that if acroread is already started under "bill", that instance
of the program will be used, but "bill" doesn't have access to "bob"'s .mozilla/
(and .netscape/) directory.

The same will happen if acroread was previously launched from one machnie, and
mozilla/netscape -- from another: these programs live in distinct filesystem trees.
Comment 1 Ngo Than 2002-12-17 10:32:16 EST
It's fixed in 4.0-22. many thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.